# Interface methods for submodule: VectorRescaleIntensityImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: VectorRescaleIntensityImageFilter
class VectorRescaleIntensityImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetFunctor(self):
		""""""
		...

	def SetFunctor(self, functor) -> None:
		""""""
		...

	def SetOutputMaximumMagnitude(self, _arg: float) -> None:
		""""""
		...

	def GetOutputMaximumMagnitude(self) -> float:
		""""""
		...

	def GetScale(self) -> float:
		""""""
		...

	def GetShift(self) -> float:
		""""""
		...

	def GetInputMaximumMagnitude(self) -> float:
		""""""
		...

	def BeforeThreadedGenerateData(self) -> None:
		""""""
		...

